function [residual, g1, g2] = minibaby01_static(y, x, params)
%
% Status : Computes static model for Dynare
%
% Warning : this file is generated automatically by Dynare
%           from model file (.mod)

residual = zeros( 34, 1);

%
% Model equations
%

llr__ = 1/params(1);
llrk__ = llr__-(1-params(10));
llxp__ = params(20);
llxw__ = params(21);
llxw1__ = params(21);
lllm__ = (1-params(2)/params(1))/(1-params(2)*params(34)/params(13));
QHTOC__ = params(6)/(1-params(1));
QH1TOC1__ = params(6)/(1-params(2)-lllm__*params(7)*(1-params(34)));
KTOY__ = params(8)/(llxp__*llrk__);
BTOQH1__ = params(7)*(1-params(34))/(1-params(34)/params(13));
C1TOY__ = (1-params(8))*params(14)/(1+(1/params(1)-1)*BTOQH1__*QH1TOC1__)*1/llxp__;
CTOY__ = 1-C1TOY__-params(10)*KTOY__;
lln__ = ((1-params(8))*(1-params(14))/(llxp__*llxw__*CTOY__))^(1/(1+params(5)));
lln1__ = ((1-params(8))*params(14)/(C1TOY__*llxp__*llxw1__))^(1/(1+params(5)));
lly__ = KTOY__^(params(8)/(1-params(8)))*lln__^(1-params(14))*lln1__^params(14);
llctot__ = lly__-params(10)*KTOY__*lly__;
llik__ = params(10)*KTOY__*lly__;
llq__ = lly__*CTOY__*QHTOC__+lly__*QH1TOC1__*C1TOY__;
T134 = params(2)*(y(27)/y(16)-params(34)*y(23)/y(16));
T155 = y(25)^((1-params(8))*(1-params(14)));
T158 = params(14)*y(33)*y(25)/((1-params(14))*y(34));
T159 = T158^((1-params(8))*params(14));
T160 = T155*T159;
T162 = y(22)^params(8);
T166 = log(y(16)/params(13));
T169 = T166-T166*params(11);
T176 = (1-params(18))*(1-params(1)*params(18))/params(18);
T180 = (1-params(8))*(1-params(14))*(y(8)+y(7)+(1+y(12))*llik__)/(y(33)*y(25))/params(20);
T192 = log(y(19)/params(13))-log(y(19)/params(13))*params(12);
T199 = (1-params(19))*(1-params(1)*params(19))/params(19);
T203 = y(4)*y(25)^params(5);
T205 = y(29)*y(33)/T203/params(21);
T216 = log(y(20)/params(13))-params(12)*log(y(20)/params(13));
T220 = y(4)*T158^params(5);
T222 = y(30)*y(34)/T220/params(21);
T253 = (y(8)+y(7)+(1+y(12))*llik__)/lly__;
T271 = (1-params(3))/(1-params(1)*params(3));
T282 = (1-params(3))/(1-params(2)*params(3));
T296 = params(6)*(1-params(4))/(1-params(1)*params(4));
T312 = params(6)*(1-params(4))/(1-params(2)*params(4));
T337 = y(25)*params(8)*y(33)/((1-params(8))*(1-params(14))*y(22))+(1-params(10))*y(26)/y(2);
T391 = (params(14)*y(20)+(1-params(14))*y(19))/params(13);
T485 = T176*(1-params(8))*(1-params(14))/(y(33)*y(25))/params(20)/T180;
T490 = (-((1-params(16))*params(17)*1/lly__/T253));
T550 = 1/params(13);
T551 = T550/(y(16)/params(13));
T568 = 0.25*T550/(y(18)/params(13));
T572 = T550/(y(19)/params(13));
T580 = T550/(y(20)/params(13));
T634 = getPowerDeriv(T158,(1-params(8))*params(14),1);
T744 = (-((1-params(14))*params(14)*y(33)*y(25)))/((1-params(14))*y(34)*(1-params(14))*y(34));
lhs =y(29);
rhs =y(29)*params(1)*y(27)/y(16);
residual(1)= lhs-rhs;
lhs =y(29)*(1+y(13))*llq__;
rhs =y(31)+y(29)*params(1)*(1+y(13))*llq__;
residual(2)= lhs-rhs;
lhs =y(8)+y(27)*y(5)/y(16);
rhs =y(5)+params(14)*y(33)*y(25)/(1-params(14));
residual(3)= lhs-rhs;
lhs =y(30)*(1-y(23));
rhs =y(30)*T134;
residual(4)= lhs-rhs;
lhs =(1+y(13))*llq__*y(30);
rhs =y(32)+y(30)*params(2)*(1+y(13))*llq__+(1+y(13))*llq__*params(7)*y(30)*(1-params(34))*y(23);
residual(5)= lhs-rhs;
lhs =y(8)+y(7)+(1+y(12))*llik__;
rhs =T160*T162;
residual(6)= lhs-rhs;
lhs =T169;
rhs =params(1)*T169-T176*log(T180)+x(3);
residual(7)= lhs-rhs;
lhs =T192;
rhs =params(1)*T192-T199*log(T205)+x(5);
residual(8)= lhs-rhs;
lhs =T216;
rhs =x(5)+params(1)*T216-T199*log(T222);
residual(9)= lhs-rhs;
lhs =log(y(28));
rhs =params(16)*log(y(27))+(1-params(16))*params(15)*(0.25*log(y(18)/params(13))+T166*0.25+0.25*log(y(17)/params(13))+0.25*log(y(18)/params(13)))+(1-params(16))*params(17)*log(T253)+(1-params(16))*log(params(13)/params(1))+log(y(3));
residual(10)= lhs-rhs;
lhs =y(17);
rhs =y(16);
residual(11)= lhs-rhs;
lhs =y(18);
rhs =y(17);
residual(12)= lhs-rhs;
lhs =y(29);
rhs =T271*(y(4)/(y(7)-y(7)*params(3))-y(4)*params(1)*params(3)/(y(7)-y(7)*params(3)));
residual(13)= lhs-rhs;
lhs =y(30);
rhs =T282*(y(4)/(y(8)-y(8)*params(3))-y(4)*params(2)*params(3)/(y(8)-y(8)*params(3)));
residual(14)= lhs-rhs;
lhs =y(31);
rhs =T296*(y(4)*y(1)/(1-y(21)-params(4)*(1-y(21)))-y(1)*y(4)*params(1)*params(4)/(1-y(21)-params(4)*(1-y(21))));
residual(15)= lhs-rhs;
lhs =y(32);
rhs =T312*(y(4)*y(1)/(y(21)-y(21)*params(4))-y(1)*y(4)*params(2)*params(4)/(y(21)-y(21)*params(4)));
residual(16)= lhs-rhs;
lhs =y(29)*y(26);
rhs =y(29);
residual(17)= lhs-rhs;
lhs =y(29)*y(26)/y(2);
rhs =params(1)*y(29)*T337;
residual(18)= lhs-rhs;
lhs =y(22)/y(2);
rhs =(1+y(12))*llik__+(1-params(10))*y(22)/y(2);
residual(19)= lhs-rhs;
lhs =y(19);
rhs =y(16)*y(33)/y(33);
residual(20)= lhs-rhs;
lhs =y(20);
rhs =y(16)*y(34)/y(34);
residual(21)= lhs-rhs;
lhs =log(y(1));
rhs =log(y(1))*params(22)+x(1);
residual(22)= lhs-rhs;
lhs =log(y(2));
rhs =log(y(2))*params(23)+x(2);
residual(23)= lhs-rhs;
lhs =log(y(3));
rhs =log(y(3))*params(25)+x(4);
residual(24)= lhs-rhs;
lhs =log(y(4));
rhs =log(y(4))*params(27)+x(6);
residual(25)= lhs-rhs;
lhs =y(9);
rhs =(y(8)+y(7))/llctot__-1;
residual(26)= lhs-rhs;
lhs =y(14);
rhs =y(27)-params(13)/params(1);
residual(27)= lhs-rhs;
lhs =y(15);
rhs =y(28)-params(13)/params(1);
residual(28)= lhs-rhs;
lhs =y(10);
rhs =T166;
residual(29)= lhs-rhs;
lhs =y(11);
rhs =log(T391);
residual(30)= lhs-rhs;
lhs =y(5);
rhs =y(6);
residual(31)= lhs-rhs;
lhs =y(6);
rhs =y(21)*params(7)*(1-params(34))*(1+y(13))*llq__+params(34)*y(5)/y(16);
residual(32)= lhs-rhs;
lhs =y(24);
rhs =y(5)-y(6);
residual(33)= lhs-rhs;
residual(34) = log(y(27));
if ~isreal(residual)
  residual = real(residual)+imag(residual).^2;
end
if nargout >= 2,
  g1 = zeros(34, 34);

  %
  % Jacobian matrix
  %

  g1(1,16)=(-(y(29)*(-(params(1)*y(27)))/(y(16)*y(16))));
  g1(1,27)=(-(y(29)*params(1)/y(16)));
  g1(1,29)=1-params(1)*y(27)/y(16);
  g1(2,13)=y(29)*llq__-y(29)*params(1)*llq__;
  g1(2,29)=(1+y(13))*llq__-params(1)*(1+y(13))*llq__;
  g1(2,31)=(-1);
  g1(3,5)=y(27)/y(16)-1;
  g1(3,8)=1;
  g1(3,16)=(-(y(27)*y(5)))/(y(16)*y(16));
  g1(3,25)=(-(params(14)*y(33)/(1-params(14))));
  g1(3,27)=y(5)/y(16);
  g1(3,33)=(-(params(14)*y(25)/(1-params(14))));
  g1(4,16)=(-(y(30)*params(2)*((-y(27))/(y(16)*y(16))-(-(params(34)*y(23)))/(y(16)*y(16)))));
  g1(4,23)=(-y(30))-y(30)*params(2)*(-(params(34)/y(16)));
  g1(4,27)=(-(y(30)*params(2)*1/y(16)));
  g1(4,30)=1-y(23)-T134;
  g1(5,13)=llq__*y(30)-(y(30)*params(2)*llq__+llq__*params(7)*y(30)*(1-params(34))*y(23));
  g1(5,23)=(-((1+y(13))*llq__*params(7)*(1-params(34))*y(30)));
  g1(5,30)=(1+y(13))*llq__-(params(2)*(1+y(13))*llq__+(1+y(13))*llq__*params(7)*(1-params(34))*y(23));
  g1(5,32)=(-1);
  g1(6,7)=1;
  g1(6,8)=1;
  g1(6,12)=llik__;
  g1(6,22)=(-(T160*getPowerDeriv(y(22),params(8),1)));
  g1(6,25)=(-(T162*(T159*getPowerDeriv(y(25),(1-params(8))*(1-params(14)),1)+T155*params(14)*y(33)/((1-params(14))*y(34))*T634)));
  g1(6,33)=(-(T162*T155*T634*params(14)*y(25)/((1-params(14))*y(34))));
  g1(6,34)=(-(T162*T155*T634*T744));
  g1(7,7)=T485;
  g1(7,8)=T485;
  g1(7,12)=T176*(1-params(8))*(1-params(14))*llik__/(y(33)*y(25))/params(20)/T180;
  g1(7,16)=T551-params(11)*T551-params(1)*(T551-params(11)*T551);
  g1(7,25)=T176*(-(y(33)*(1-params(8))*(1-params(14))*(y(8)+y(7)+(1+y(12))*llik__)))/(y(33)*y(25)*y(33)*y(25))/params(20)/T180;
  g1(7,33)=T176*(-(y(25)*(1-params(8))*(1-params(14))*(y(8)+y(7)+(1+y(12))*llik__)))/(y(33)*y(25)*y(33)*y(25))/params(20)/T180;
  g1(8,4)=T199*(-(y(29)*y(33)*y(25)^params(5)))/(T203*T203)/params(21)/T205;
  g1(8,19)=T572-params(12)*T572-params(1)*(T572-params(12)*T572);
  g1(8,25)=T199*(-(y(29)*y(33)*y(4)*getPowerDeriv(y(25),params(5),1)))/(T203*T203)/params(21)/T205;
  g1(8,29)=T199*y(33)/T203/params(21)/T205;
  g1(8,33)=T199*y(29)/T203/params(21)/T205;
  g1(9,4)=T199*(-(y(30)*y(34)*T158^params(5)))/(T220*T220)/params(21)/T222;
  g1(9,20)=T580-params(12)*T580-params(1)*(T580-params(12)*T580);
  g1(9,25)=T199*(-(y(30)*y(34)*y(4)*params(14)*y(33)/((1-params(14))*y(34))*getPowerDeriv(T158,params(5),1)))/(T220*T220)/params(21)/T222;
  g1(9,30)=T199*y(34)/T220/params(21)/T222;
  g1(9,33)=T199*(-(y(30)*y(34)*y(4)*getPowerDeriv(T158,params(5),1)*params(14)*y(25)/((1-params(14))*y(34))))/(T220*T220)/params(21)/T222;
  g1(9,34)=T199*(y(30)*T220-y(30)*y(34)*y(4)*getPowerDeriv(T158,params(5),1)*T744)/(T220*T220)/params(21)/T222;
  g1(10,3)=(-(1/y(3)));
  g1(10,7)=T490;
  g1(10,8)=T490;
  g1(10,12)=(-((1-params(16))*params(17)*llik__/lly__/T253));
  g1(10,16)=(-((1-params(16))*params(15)*0.25*T551));
  g1(10,17)=(-((1-params(16))*params(15)*0.25*T550/(y(17)/params(13))));
  g1(10,18)=(-((1-params(16))*params(15)*(T568+T568)));
  g1(10,27)=(-(params(16)*1/y(27)));
  g1(10,28)=1/y(28);
  g1(11,16)=(-1);
  g1(11,17)=1;
  g1(12,17)=(-1);
  g1(12,18)=1;
  g1(13,4)=(-(T271*(1/(y(7)-y(7)*params(3))-params(1)*params(3)/(y(7)-y(7)*params(3)))));
  g1(13,7)=(-(T271*((-(y(4)*(1-params(3))))/((y(7)-y(7)*params(3))*(y(7)-y(7)*params(3)))-(-((1-params(3))*y(4)*params(1)*params(3)))/((y(7)-y(7)*params(3))*(y(7)-y(7)*params(3))))));
  g1(13,29)=1;
  g1(14,4)=(-(T282*(1/(y(8)-y(8)*params(3))-params(2)*params(3)/(y(8)-y(8)*params(3)))));
  g1(14,8)=(-(T282*((-(y(4)*(1-params(3))))/((y(8)-y(8)*params(3))*(y(8)-y(8)*params(3)))-(-((1-params(3))*y(4)*params(2)*params(3)))/((y(8)-y(8)*params(3))*(y(8)-y(8)*params(3))))));
  g1(14,30)=1;
  g1(15,1)=(-(T296*(y(4)/(1-y(21)-params(4)*(1-y(21)))-y(4)*params(1)*params(4)/(1-y(21)-params(4)*(1-y(21))))));
  g1(15,4)=(-(T296*(y(1)/(1-y(21)-params(4)*(1-y(21)))-params(1)*params(4)*y(1)/(1-y(21)-params(4)*(1-y(21))))));
  g1(15,21)=(-(T296*((-(y(4)*y(1)*((-1)-(-params(4)))))/((1-y(21)-params(4)*(1-y(21)))*(1-y(21)-params(4)*(1-y(21))))-(-(y(1)*y(4)*params(1)*params(4)*((-1)-(-params(4)))))/((1-y(21)-params(4)*(1-y(21)))*(1-y(21)-params(4)*(1-y(21)))))));
  g1(15,31)=1;
  g1(16,1)=(-(T312*(y(4)/(y(21)-y(21)*params(4))-y(4)*params(2)*params(4)/(y(21)-y(21)*params(4)))));
  g1(16,4)=(-(T312*(y(1)/(y(21)-y(21)*params(4))-y(1)*params(2)*params(4)/(y(21)-y(21)*params(4)))));
  g1(16,21)=(-(T312*((-((1-params(4))*y(4)*y(1)))/((y(21)-y(21)*params(4))*(y(21)-y(21)*params(4)))-(-((1-params(4))*y(1)*y(4)*params(2)*params(4)))/((y(21)-y(21)*params(4))*(y(21)-y(21)*params(4))))));
  g1(16,32)=1;
  g1(17,26)=y(29);
  g1(17,29)=y(26)-1;
  g1(18,2)=(-(y(29)*y(26)))/(y(2)*y(2))-params(1)*y(29)*(-((1-params(10))*y(26)))/(y(2)*y(2));
  g1(18,22)=(-(params(1)*y(29)*(-((1-params(8))*(1-params(14))*y(25)*params(8)*y(33)))/((1-params(8))*(1-params(14))*y(22)*(1-params(8))*(1-params(14))*y(22))));
  g1(18,25)=(-(params(1)*y(29)*params(8)*y(33)/((1-params(8))*(1-params(14))*y(22))));
  g1(18,26)=y(29)/y(2)-params(1)*y(29)*(1-params(10))/y(2);
  g1(18,29)=y(26)/y(2)-params(1)*T337;
  g1(18,33)=(-(params(1)*y(29)*params(8)*y(25)/((1-params(8))*(1-params(14))*y(22))));
  g1(19,2)=(-y(22))/(y(2)*y(2))-(-((1-params(10))*y(22)))/(y(2)*y(2));
  g1(19,12)=(-llik__);
  g1(19,22)=1/y(2)-(1-params(10))/y(2);
  g1(20,16)=(-1);
  g1(20,19)=1;
  g1(21,16)=(-1);
  g1(21,20)=1;
  g1(22,1)=1/y(1)-params(22)*1/y(1);
  g1(23,2)=1/y(2)-params(23)*1/y(2);
  g1(24,3)=1/y(3)-params(25)*1/y(3);
  g1(25,4)=1/y(4)-params(27)*1/y(4);
  g1(26,7)=(-(1/llctot__));
  g1(26,8)=(-(1/llctot__));
  g1(26,9)=1;
  g1(27,14)=1;
  g1(27,27)=(-1);
  g1(28,15)=1;
  g1(28,28)=(-1);
  g1(29,10)=1;
  g1(29,16)=(-T551);
  g1(30,11)=1;
  g1(30,19)=(-((1-params(14))/params(13)/T391));
  g1(30,20)=(-(params(14)/params(13)/T391));
  g1(31,5)=1;
  g1(31,6)=(-1);
  g1(32,5)=(-(params(34)/y(16)));
  g1(32,6)=1;
  g1(32,13)=(-(y(21)*params(7)*(1-params(34))*llq__));
  g1(32,16)=(-((-(params(34)*y(5)))/(y(16)*y(16))));
  g1(32,21)=(-(params(7)*(1-params(34))*(1+y(13))*llq__));
  g1(33,5)=(-1);
  g1(33,6)=1;
  g1(33,24)=1;
  g1(34,27)=1/y(27);
  if ~isreal(g1)
    g1 = real(g1)+2*imag(g1);
  end
end
if nargout >= 3,
  %
  % Hessian matrix
  %

  g2 = sparse([],[],[],34,1156);
end
end
