function [residual, g1, g2, g3] = minibaby10_dynamic(y, x, params, steady_state, it_)
%
% Status : Computes dynamic model for Dynare
%
% Warning : this file is generated automatically by Dynare
%           from model file (.mod)

%
% Model equations
%

residual = zeros(34, 1);
llr__ = 1/params(1);
llrk__ = llr__-(1-params(10));
llxp__ = params(20);
llxw__ = params(21);
llxw1__ = params(21);
lllm__ = (1-params(2)/params(1))/(1-params(2)*params(34)/params(13));
QHTOC__ = params(6)/(1-params(1));
QH1TOC1__ = params(6)/(1-params(2)-lllm__*params(7)*(1-params(34)));
KTOY__ = params(8)/(llxp__*llrk__);
BTOQH1__ = params(7)*(1-params(34))/(1-params(34)/params(13));
C1TOY__ = (1-params(8))*params(14)/(1+(1/params(1)-1)*BTOQH1__*QH1TOC1__)*1/llxp__;
CTOY__ = 1-C1TOY__-params(10)*KTOY__;
lln__ = ((1-params(8))*(1-params(14))/(llxp__*llxw__*CTOY__))^(1/(1+params(5)));
lln1__ = ((1-params(8))*params(14)/(C1TOY__*llxp__*llxw1__))^(1/(1+params(5)));
lly__ = KTOY__^(params(8)/(1-params(8)))*lln__^(1-params(14))*lln1__^params(14);
llctot__ = lly__-params(10)*KTOY__*lly__;
llik__ = params(10)*KTOY__*lly__;
llq__ = lly__*CTOY__*QHTOC__+lly__*QH1TOC1__*C1TOY__;
T146 = params(2)*(y(45)/y(60)-params(34)*y(64)/y(60));
T168 = y(43)^((1-params(8))*(1-params(14)));
T171 = params(14)*y(51)*y(43)/((1-params(14))*y(52));
T172 = T171^((1-params(8))*params(14));
T173 = T168*T172;
T175 = y(15)^params(8);
T178 = y(34)/params(13);
T179 = log(T178);
T182 = y(9)/params(13);
T186 = y(60)/params(13);
T196 = (1-params(18))*(1-params(1)*params(18))/params(18);
T200 = (1-params(8))*(1-params(14))*(y(26)+y(25)+(1+y(30))*llik__)/(y(51)*y(43))/params(20);
T208 = y(37)/params(13);
T212 = y(12)/params(13);
T217 = y(61)/params(13);
T227 = (1-params(19))*(1-params(1)*params(19))/params(19);
T230 = y(43)^params(5);
T231 = y(22)*T230;
T233 = y(47)*y(51)/T231/params(21);
T241 = y(38)/params(13);
T244 = y(13)/params(13);
T249 = y(62)/params(13);
T255 = T171^params(5);
T256 = y(22)*T255;
T258 = y(48)*y(52)/T256/params(21);
T275 = y(35)/params(13);
T280 = y(36)/params(13);
T285 = y(11)/params(13);
T293 = (y(26)+y(25)+(1+y(30))*llik__)/lly__;
T312 = (1-params(3))/(1-params(1)*params(3));
T328 = (1-params(3))/(1-params(2)*params(3));
T346 = params(6)*(1-params(4))/(1-params(1)*params(4));
T368 = params(6)*(1-params(4))/(1-params(2)*params(4));
T409 = params(8)*y(69)*y(65)/((1-params(8))*(1-params(14))*y(40))+(1-params(10))*y(66)/y(54);
T473 = (params(14)*y(38)+(1-params(14))*y(37))/params(13);
T536 = (-(y(47)*y(51)*T230))/(T231*T231)/params(21);
T544 = (-(y(48)*y(52)*T255))/(T256*T256)/params(21);
T590 = (1-params(8))*(1-params(14))/(y(51)*y(43))/params(20);
T592 = T196*T590/T200;
T594 = 1/lly__;
T597 = (-((1-params(16))*params(17)*T594/T293));
T635 = (1-params(8))*(1-params(14))*llik__/(y(51)*y(43))/params(20);
T639 = llik__/lly__;
T661 = 1/params(13);
T668 = T661/T178;
T694 = params(2)*((-y(45))/(y(60)*y(60))-(-(params(34)*y(64)))/(y(60)*y(60)));
T715 = T661/T208;
T720 = (1-params(14))/params(13);
T729 = T661/T241;
T734 = params(14)/params(13);
T744 = (1-y(39)-params(4)*(1-y(14)))*(1-y(39)-params(4)*(1-y(14)));
T758 = (1-y(63)-params(4)*(1-y(39)))*(1-y(63)-params(4)*(1-y(39)));
T782 = getPowerDeriv(y(15),params(8),1);
T789 = (1-params(8))*(1-params(14))*y(40)*(1-params(8))*(1-params(14))*y(40);
T790 = (-((1-params(8))*(1-params(14))*params(8)*y(69)*y(65)))/T789;
T805 = getPowerDeriv(y(43),(1-params(8))*(1-params(14)),1);
T806 = params(14)*y(51)/((1-params(14))*y(52));
T807 = getPowerDeriv(T171,(1-params(8))*params(14),1);
T811 = T172*T805+T168*T806*T807;
T818 = (-(y(51)*(1-params(8))*(1-params(14))*(y(26)+y(25)+(1+y(30))*llik__)))/(y(51)*y(43)*y(51)*y(43))/params(20);
T823 = y(22)*getPowerDeriv(y(43),params(5),1);
T825 = (-(y(47)*y(51)*T823));
T827 = T825/(T231*T231)/params(21);
T831 = getPowerDeriv(T171,params(5),1);
T833 = y(22)*T806*T831;
T835 = (-(y(48)*y(52)*T833));
T837 = T835/(T256*T256)/params(21);
T867 = y(51)/T231/params(21);
T886 = y(52)/T256/params(21);
T899 = params(14)*y(43)/((1-params(14))*y(52));
T907 = (-(y(43)*(1-params(8))*(1-params(14))*(y(26)+y(25)+(1+y(30))*llik__)))/(y(51)*y(43)*y(51)*y(43))/params(20);
T912 = y(47)/T231/params(21);
T921 = (-(y(48)*y(52)*y(22)*T831*T899))/(T256*T256)/params(21);
T938 = (-((1-params(14))*params(14)*y(51)*y(43)))/((1-params(14))*y(52)*(1-params(14))*y(52));
T949 = (y(48)*T256-y(48)*y(52)*y(22)*T831*T938)/(T256*T256)/params(21);
T1016 = T805*T806*T807;
T1019 = getPowerDeriv(T171,(1-params(8))*params(14),2);
T1020 = T806*T1019;
T1071 = (-((-((1-params(14))*params(14)*y(51)*y(43)))*((1-params(14))*(1-params(14))*y(52)+(1-params(14))*(1-params(14))*y(52))))/((1-params(14))*y(52)*(1-params(14))*y(52)*(1-params(14))*y(52)*(1-params(14))*y(52));
T1082 = T196*(-(T590*T590))/(T200*T200);
T1098 = (-(T661*T661))/(T178*T178);
T1115 = T196*(T200*(-((1-params(8))*(1-params(14))*y(51)))/(y(51)*y(43)*y(51)*y(43))/params(20)-T590*T818)/(T200*T200);
T1145 = T196*(T200*(-((1-params(8))*(1-params(14))*y(43)))/(y(51)*y(43)*y(51)*y(43))/params(20)-T590*T907)/(T200*T200);
T1178 = T230*T231+T230*T231;
T1284 = T255*T256+T255*T256;
T1323 = T806*getPowerDeriv(T171,params(5),2);
T1501 = (-((1-params(16))*params(17)*(-(T594*T594))/(T293*T293)));
T1506 = (-((1-params(16))*params(17)*(-(T594*T639))/(T293*T293)));
lhs =y(47);
rhs =params(1)*y(45)/y(60)*y(67);
residual(1)= lhs-rhs;
lhs =y(47)*(1+y(31))*llq__;
rhs =y(49)+y(67)*params(1)*llq__*(1+y(59));
residual(2)= lhs-rhs;
lhs =y(26)+(1+y(31))*llq__*(y(39)-y(14))+y(16)*y(5)/y(34);
rhs =params(14)*y(51)*y(43)/(1-params(14))+y(23);
residual(3)= lhs-rhs;
lhs =y(48)*(1-y(41));
rhs =T146*y(68);
residual(4)= lhs-rhs;
lhs =(1+y(31))*llq__*y(48);
rhs =y(50)+y(68)*params(2)*llq__*(1+y(59))+(1+y(31))*llq__*params(7)*y(48)*(1-params(34))*y(41);
residual(5)= lhs-rhs;
lhs =y(26)+y(25)+(1+y(30))*llik__;
rhs =T173*T175;
residual(6)= lhs-rhs;
lhs =T179-params(11)*log(T182);
rhs =params(1)*(log(T186)-T179*params(11))-T196*log(T200)+x(it_, 3);
residual(7)= lhs-rhs;
lhs =log(T208)-params(12)*log(T212);
rhs =params(1)*(log(T217)-log(T208)*params(12))-T227*log(T233)+x(it_, 5);
residual(8)= lhs-rhs;
lhs =log(T241)-params(12)*log(T244);
rhs =x(it_, 5)+params(1)*(log(T249)-params(12)*log(T241))-T227*log(T258);
residual(9)= lhs-rhs;
lhs =log(y(46));
rhs =params(16)*log(y(16))+(1-params(16))*params(15)*(T179*0.25+0.25*log(T275)+0.25*log(T280)+0.25*log(T285))+(1-params(16))*params(17)*log(T293)+(1-params(16))*log(params(13)/params(1))+log(y(21));
residual(10)= lhs-rhs;
lhs =y(35);
rhs =y(9);
residual(11)= lhs-rhs;
lhs =y(36);
rhs =y(10);
residual(12)= lhs-rhs;
lhs =y(47);
rhs =T312*(y(22)/(y(25)-params(3)*y(6))-params(1)*params(3)*y(55)/(y(56)-y(25)*params(3)));
residual(13)= lhs-rhs;
lhs =y(48);
rhs =T328*(y(22)/(y(26)-params(3)*y(7))-y(55)*params(2)*params(3)/(y(57)-y(26)*params(3)));
residual(14)= lhs-rhs;
lhs =y(49);
rhs =T346*(y(22)*y(19)/(1-y(39)-params(4)*(1-y(14)))-y(55)*params(1)*params(4)*y(53)/(1-y(63)-params(4)*(1-y(39))));
residual(15)= lhs-rhs;
lhs =y(50);
rhs =T368*(y(22)*y(19)/(y(39)-y(14)*params(4))-y(53)*y(55)*params(2)*params(4)/(y(63)-y(39)*params(4)));
residual(16)= lhs-rhs;
lhs =y(47)*y(44)*(1-params(9)*(y(30)-y(8)));
rhs =y(47)-params(9)*params(1)*y(67)*y(66)*(y(58)-y(30));
residual(17)= lhs-rhs;
lhs =y(47)*y(44)/y(20);
rhs =params(1)*y(67)*T409;
residual(18)= lhs-rhs;
lhs =y(40)/y(20);
rhs =(1+y(30))*llik__+(1-params(10))*y(15)/y(20);
residual(19)= lhs-rhs;
lhs =y(37);
rhs =y(34)*y(51)/y(17);
residual(20)= lhs-rhs;
lhs =y(38);
rhs =y(34)*y(52)/y(18);
residual(21)= lhs-rhs;
lhs =log(y(19));
rhs =params(22)*log(y(1))+x(it_, 1);
residual(22)= lhs-rhs;
lhs =log(y(20));
rhs =params(23)*log(y(2))+x(it_, 2);
residual(23)= lhs-rhs;
lhs =log(y(21));
rhs =params(25)*log(y(3))+x(it_, 4);
residual(24)= lhs-rhs;
lhs =log(y(22));
rhs =params(27)*log(y(4))+x(it_, 6);
residual(25)= lhs-rhs;
lhs =y(27);
rhs =(y(26)+y(25))/llctot__-1;
residual(26)= lhs-rhs;
lhs =y(32);
rhs =y(45)-params(13)/params(1);
residual(27)= lhs-rhs;
lhs =y(33);
rhs =y(46)-params(13)/params(1);
residual(28)= lhs-rhs;
lhs =y(28);
rhs =T179;
residual(29)= lhs-rhs;
lhs =y(29);
rhs =log(T473);
residual(30)= lhs-rhs;
residual(31) = y(41);
lhs =y(24);
rhs =y(39)*params(7)*(1-params(34))*(1+y(31))*llq__+params(34)*y(5)/y(34);
residual(32)= lhs-rhs;
lhs =y(42);
rhs =y(23)-y(24);
residual(33)= lhs-rhs;
lhs =log(y(45));
rhs =log(y(46));
residual(34)= lhs-rhs;
if nargout >= 2,
  g1 = zeros(34, 75);

  %
  % Jacobian matrix
  %

  g1(1,60)=(-(y(67)*(-(params(1)*y(45)))/(y(60)*y(60))));
  g1(1,45)=(-(y(67)*params(1)/y(60)));
  g1(1,47)=1;
  g1(1,67)=(-(params(1)*y(45)/y(60)));
  g1(2,31)=y(47)*llq__;
  g1(2,59)=(-(y(67)*params(1)*llq__));
  g1(2,47)=(1+y(31))*llq__;
  g1(2,67)=(-(params(1)*llq__*(1+y(59))));
  g1(2,49)=(-1);
  g1(3,5)=y(16)/y(34);
  g1(3,23)=(-1);
  g1(3,26)=1;
  g1(3,31)=llq__*(y(39)-y(14));
  g1(3,34)=(-(y(16)*y(5)))/(y(34)*y(34));
  g1(3,14)=(-((1+y(31))*llq__));
  g1(3,39)=(1+y(31))*llq__;
  g1(3,43)=(-(params(14)*y(51)/(1-params(14))));
  g1(3,16)=y(5)/y(34);
  g1(3,51)=(-(params(14)*y(43)/(1-params(14))));
  g1(4,60)=(-(y(68)*T694));
  g1(4,41)=(-y(48));
  g1(4,64)=(-(y(68)*params(2)*(-(params(34)/y(60)))));
  g1(4,45)=(-(y(68)*params(2)*1/y(60)));
  g1(4,48)=1-y(41);
  g1(4,68)=(-T146);
  g1(5,31)=llq__*y(48)-llq__*params(7)*y(48)*(1-params(34))*y(41);
  g1(5,59)=(-(y(68)*params(2)*llq__));
  g1(5,41)=(-((1+y(31))*llq__*params(7)*(1-params(34))*y(48)));
  g1(5,48)=(1+y(31))*llq__-(1+y(31))*llq__*params(7)*(1-params(34))*y(41);
  g1(5,68)=(-(params(2)*llq__*(1+y(59))));
  g1(5,50)=(-1);
  g1(6,25)=1;
  g1(6,26)=1;
  g1(6,30)=llik__;
  g1(6,15)=(-(T173*T782));
  g1(6,43)=(-(T175*T811));
  g1(6,51)=(-(T175*T168*T807*T899));
  g1(6,52)=(-(T175*T168*T807*T938));
  g1(7,25)=T592;
  g1(7,26)=T592;
  g1(7,30)=T196*T635/T200;
  g1(7,9)=(-(params(11)*T661/T182));
  g1(7,34)=T668-params(1)*(-(params(11)*T668));
  g1(7,60)=(-(params(1)*T661/T186));
  g1(7,43)=T196*T818/T200;
  g1(7,51)=T196*T907/T200;
  g1(7,72)=(-1);
  g1(8,22)=T227*T536/T233;
  g1(8,12)=(-(params(12)*T661/T212));
  g1(8,37)=T715-params(1)*(-(params(12)*T715));
  g1(8,61)=(-(params(1)*T661/T217));
  g1(8,43)=T227*T827/T233;
  g1(8,47)=T227*T867/T233;
  g1(8,51)=T227*T912/T233;
  g1(8,74)=(-1);
  g1(9,22)=T227*T544/T258;
  g1(9,13)=(-(params(12)*T661/T244));
  g1(9,38)=T729-params(1)*(-(params(12)*T729));
  g1(9,62)=(-(params(1)*T661/T249));
  g1(9,43)=T227*T837/T258;
  g1(9,48)=T227*T886/T258;
  g1(9,51)=T227*T921/T258;
  g1(9,52)=T227*T949/T258;
  g1(9,74)=(-1);
  g1(10,21)=(-(1/y(21)));
  g1(10,25)=T597;
  g1(10,26)=T597;
  g1(10,30)=(-((1-params(16))*params(17)*T639/T293));
  g1(10,34)=(-((1-params(16))*params(15)*0.25*T668));
  g1(10,35)=(-((1-params(16))*params(15)*0.25*T661/T275));
  g1(10,11)=(-((1-params(16))*params(15)*0.25*T661/T285));
  g1(10,36)=(-((1-params(16))*params(15)*0.25*T661/T280));
  g1(10,16)=(-(params(16)*1/y(16)));
  g1(10,46)=1/y(46);
  g1(11,9)=(-1);
  g1(11,35)=1;
  g1(12,10)=(-1);
  g1(12,36)=1;
  g1(13,22)=(-(T312*1/(y(25)-params(3)*y(6))));
  g1(13,55)=(-(T312*(-(params(1)*params(3)/(y(56)-y(25)*params(3))))));
  g1(13,6)=(-(T312*(-(y(22)*(-params(3))))/((y(25)-params(3)*y(6))*(y(25)-params(3)*y(6)))));
  g1(13,25)=(-(T312*((-y(22))/((y(25)-params(3)*y(6))*(y(25)-params(3)*y(6)))-(-(params(1)*params(3)*y(55)*(-params(3))))/((y(56)-y(25)*params(3))*(y(56)-y(25)*params(3))))));
  g1(13,56)=(-(T312*(-((-(params(1)*params(3)*y(55)))/((y(56)-y(25)*params(3))*(y(56)-y(25)*params(3)))))));
  g1(13,47)=1;
  g1(14,22)=(-(T328*1/(y(26)-params(3)*y(7))));
  g1(14,55)=(-(T328*(-(params(2)*params(3)/(y(57)-y(26)*params(3))))));
  g1(14,7)=(-(T328*(-(y(22)*(-params(3))))/((y(26)-params(3)*y(7))*(y(26)-params(3)*y(7)))));
  g1(14,26)=(-(T328*((-y(22))/((y(26)-params(3)*y(7))*(y(26)-params(3)*y(7)))-(-(y(55)*params(2)*params(3)*(-params(3))))/((y(57)-y(26)*params(3))*(y(57)-y(26)*params(3))))));
  g1(14,57)=(-(T328*(-((-(y(55)*params(2)*params(3)))/((y(57)-y(26)*params(3))*(y(57)-y(26)*params(3)))))));
  g1(14,48)=1;
  g1(15,19)=(-(T346*y(22)/(1-y(39)-params(4)*(1-y(14)))));
  g1(15,53)=(-(T346*(-(y(55)*params(1)*params(4)/(1-y(63)-params(4)*(1-y(39)))))));
  g1(15,22)=(-(T346*y(19)/(1-y(39)-params(4)*(1-y(14)))));
  g1(15,55)=(-(T346*(-(params(1)*params(4)*y(53)/(1-y(63)-params(4)*(1-y(39)))))));
  g1(15,14)=(-(T346*(-(params(4)*y(22)*y(19)))/T744));
  g1(15,39)=(-(T346*(y(22)*y(19)/T744-(-(params(4)*y(55)*params(1)*params(4)*y(53)))/T758)));
  g1(15,63)=(-(T346*(-(y(55)*params(1)*params(4)*y(53)/T758))));
  g1(15,49)=1;
  g1(16,19)=(-(T368*y(22)/(y(39)-y(14)*params(4))));
  g1(16,53)=(-(T368*(-(y(55)*params(2)*params(4)/(y(63)-y(39)*params(4))))));
  g1(16,22)=(-(T368*y(19)/(y(39)-y(14)*params(4))));
  g1(16,55)=(-(T368*(-(y(53)*params(2)*params(4)/(y(63)-y(39)*params(4))))));
  g1(16,14)=(-(T368*(-(y(22)*y(19)*(-params(4))))/((y(39)-y(14)*params(4))*(y(39)-y(14)*params(4)))));
  g1(16,39)=(-(T368*((-(y(22)*y(19)))/((y(39)-y(14)*params(4))*(y(39)-y(14)*params(4)))-(-(y(53)*y(55)*params(2)*params(4)*(-params(4))))/((y(63)-y(39)*params(4))*(y(63)-y(39)*params(4))))));
  g1(16,63)=(-(T368*(-((-(y(53)*y(55)*params(2)*params(4)))/((y(63)-y(39)*params(4))*(y(63)-y(39)*params(4)))))));
  g1(16,50)=1;
  g1(17,8)=y(47)*y(44)*params(9);
  g1(17,30)=y(47)*y(44)*(-params(9))-params(9)*params(1)*y(67)*y(66);
  g1(17,58)=params(9)*params(1)*y(67)*y(66);
  g1(17,44)=y(47)*(1-params(9)*(y(30)-y(8)));
  g1(17,66)=(y(58)-y(30))*params(9)*params(1)*y(67);
  g1(17,47)=y(44)*(1-params(9)*(y(30)-y(8)))-1;
  g1(17,67)=(y(58)-y(30))*params(9)*params(1)*y(66);
  g1(18,20)=(-(y(47)*y(44)))/(y(20)*y(20));
  g1(18,54)=(-(params(1)*y(67)*(-((1-params(10))*y(66)))/(y(54)*y(54))));
  g1(18,40)=(-(params(1)*y(67)*T790));
  g1(18,65)=(-(params(1)*y(67)*params(8)*y(69)/((1-params(8))*(1-params(14))*y(40))));
  g1(18,44)=y(47)/y(20);
  g1(18,66)=(-(params(1)*y(67)*(1-params(10))/y(54)));
  g1(18,47)=y(44)/y(20);
  g1(18,67)=(-(params(1)*T409));
  g1(18,69)=(-(params(1)*y(67)*params(8)*y(65)/((1-params(8))*(1-params(14))*y(40))));
  g1(19,20)=(-y(40))/(y(20)*y(20))-(-((1-params(10))*y(15)))/(y(20)*y(20));
  g1(19,30)=(-llik__);
  g1(19,15)=(-((1-params(10))/y(20)));
  g1(19,40)=1/y(20);
  g1(20,34)=(-(y(51)/y(17)));
  g1(20,37)=1;
  g1(20,17)=(-((-(y(34)*y(51)))/(y(17)*y(17))));
  g1(20,51)=(-(y(34)/y(17)));
  g1(21,34)=(-(y(52)/y(18)));
  g1(21,38)=1;
  g1(21,18)=(-((-(y(34)*y(52)))/(y(18)*y(18))));
  g1(21,52)=(-(y(34)/y(18)));
  g1(22,1)=(-(params(22)*1/y(1)));
  g1(22,19)=1/y(19);
  g1(22,70)=(-1);
  g1(23,2)=(-(params(23)*1/y(2)));
  g1(23,20)=1/y(20);
  g1(23,71)=(-1);
  g1(24,3)=(-(params(25)*1/y(3)));
  g1(24,21)=1/y(21);
  g1(24,73)=(-1);
  g1(25,4)=(-(params(27)*1/y(4)));
  g1(25,22)=1/y(22);
  g1(25,75)=(-1);
  g1(26,25)=(-(1/llctot__));
  g1(26,26)=(-(1/llctot__));
  g1(26,27)=1;
  g1(27,32)=1;
  g1(27,45)=(-1);
  g1(28,33)=1;
  g1(28,46)=(-1);
  g1(29,28)=1;
  g1(29,34)=(-T668);
  g1(30,29)=1;
  g1(30,37)=(-(T720/T473));
  g1(30,38)=(-(T734/T473));
  g1(31,41)=1;
  g1(32,5)=(-(params(34)/y(34)));
  g1(32,24)=1;
  g1(32,31)=(-(y(39)*params(7)*(1-params(34))*llq__));
  g1(32,34)=(-((-(params(34)*y(5)))/(y(34)*y(34))));
  g1(32,39)=(-(params(7)*(1-params(34))*(1+y(31))*llq__));
  g1(33,23)=(-1);
  g1(33,24)=1;
  g1(33,42)=1;
  g1(34,45)=1/y(45);
  g1(34,46)=(-(1/y(46)));
end
if nargout >= 3,
  %
  % Hessian matrix
  %

  v2 = zeros(322,3);
  v2(1,1)=1;
  v2(1,2)=4485;
  v2(1,3)=(-(y(67)*(-((-(params(1)*y(45)))*(y(60)+y(60))))/(y(60)*y(60)*y(60)*y(60))));
  v2(2,1)=1;
  v2(2,2)=3360;
  v2(2,3)=(-(y(67)*(-params(1))/(y(60)*y(60))));
  v2(3,1)=1;
  v2(3,2)=4470;
  v2(3,3)=  v2(2,3);
  v2(4,1)=1;
  v2(4,2)=5010;
  v2(4,3)=(-((-(params(1)*y(45)))/(y(60)*y(60))));
  v2(5,1)=1;
  v2(5,2)=4492;
  v2(5,3)=  v2(4,3);
  v2(6,1)=1;
  v2(6,2)=4995;
  v2(6,3)=(-(params(1)/y(60)));
  v2(7,1)=1;
  v2(7,2)=3367;
  v2(7,3)=  v2(6,3);
  v2(8,1)=2;
  v2(8,2)=3481;
  v2(8,3)=llq__;
  v2(9,1)=2;
  v2(9,2)=2297;
  v2(9,3)=  v2(8,3);
  v2(10,1)=2;
  v2(10,2)=5009;
  v2(10,3)=(-(params(1)*llq__));
  v2(11,1)=2;
  v2(11,2)=4417;
  v2(11,3)=  v2(10,3);
  v2(12,1)=3;
  v2(12,2)=2480;
  v2(12,3)=(-y(16))/(y(34)*y(34));
  v2(13,1)=3;
  v2(13,2)=334;
  v2(13,3)=  v2(12,3);
  v2(14,1)=3;
  v2(14,2)=2509;
  v2(14,3)=(-((-(y(16)*y(5)))*(y(34)+y(34))))/(y(34)*y(34)*y(34)*y(34));
  v2(15,1)=3;
  v2(15,2)=1006;
  v2(15,3)=(-llq__);
  v2(16,1)=3;
  v2(16,2)=2264;
  v2(16,3)=  v2(15,3);
  v2(17,1)=3;
  v2(17,2)=2881;
  v2(17,3)=llq__;
  v2(18,1)=3;
  v2(18,2)=2289;
  v2(18,3)=  v2(17,3);
  v2(19,1)=3;
  v2(19,2)=1130;
  v2(19,3)=1/y(34);
  v2(20,1)=3;
  v2(20,2)=316;
  v2(20,3)=  v2(19,3);
  v2(21,1)=3;
  v2(21,2)=1159;
  v2(21,3)=(-y(5))/(y(34)*y(34));
  v2(22,1)=3;
  v2(22,2)=2491;
  v2(22,3)=  v2(21,3);
  v2(23,1)=3;
  v2(23,2)=3793;
  v2(23,3)=(-(params(14)/(1-params(14))));
  v2(24,1)=3;
  v2(24,2)=3201;
  v2(24,3)=  v2(23,3);
  v2(25,1)=4;
  v2(25,2)=4485;
  v2(25,3)=(-(y(68)*params(2)*((-((-y(45))*(y(60)+y(60))))/(y(60)*y(60)*y(60)*y(60))-(-((-(params(34)*y(64)))*(y(60)+y(60))))/(y(60)*y(60)*y(60)*y(60)))));
  v2(26,1)=4;
  v2(26,2)=4785;
  v2(26,3)=(-(y(68)*params(2)*(-((-params(34))/(y(60)*y(60))))));
  v2(27,1)=4;
  v2(27,2)=4489;
  v2(27,3)=  v2(26,3);
  v2(28,1)=4;
  v2(28,2)=3360;
  v2(28,3)=(-(y(68)*params(2)*(-1)/(y(60)*y(60))));
  v2(29,1)=4;
  v2(29,2)=4470;
  v2(29,3)=  v2(28,3);
  v2(30,1)=4;
  v2(30,2)=3566;
  v2(30,3)=(-1);
  v2(31,1)=4;
  v2(31,2)=3048;
  v2(31,3)=  v2(30,3);
  v2(32,1)=4;
  v2(32,2)=5085;
  v2(32,3)=(-T694);
  v2(33,1)=4;
  v2(33,2)=4493;
  v2(33,3)=  v2(32,3);
  v2(34,1)=4;
  v2(34,2)=5089;
  v2(34,3)=(-(params(2)*(-(params(34)/y(60)))));
  v2(35,1)=4;
  v2(35,2)=4793;
  v2(35,3)=  v2(34,3);
  v2(36,1)=4;
  v2(36,2)=5070;
  v2(36,3)=(-(params(2)*1/y(60)));
  v2(37,1)=4;
  v2(37,2)=3368;
  v2(37,3)=  v2(36,3);
  v2(38,1)=5;
  v2(38,2)=3031;
  v2(38,3)=(-(llq__*params(7)*(1-params(34))*y(48)));
  v2(39,1)=5;
  v2(39,2)=2291;
  v2(39,3)=  v2(38,3);
  v2(40,1)=5;
  v2(40,2)=3556;
  v2(40,3)=llq__-llq__*params(7)*(1-params(34))*y(41);
  v2(41,1)=5;
  v2(41,2)=2298;
  v2(41,3)=  v2(40,3);
  v2(42,1)=5;
  v2(42,2)=3566;
  v2(42,3)=(-(params(7)*(1-params(34))*(1+y(31))*llq__));
  v2(43,1)=5;
  v2(43,2)=3048;
  v2(43,3)=  v2(42,3);
  v2(44,1)=5;
  v2(44,2)=5084;
  v2(44,3)=(-(params(2)*llq__));
  v2(45,1)=5;
  v2(45,2)=4418;
  v2(45,3)=  v2(44,3);
  v2(46,1)=6;
  v2(46,2)=1065;
  v2(46,3)=(-(T173*getPowerDeriv(y(15),params(8),2)));
  v2(47,1)=6;
  v2(47,2)=3165;
  v2(47,3)=(-(T782*T811));
  v2(48,1)=6;
  v2(48,2)=1093;
  v2(48,3)=  v2(47,3);
  v2(49,1)=6;
  v2(49,2)=3193;
  v2(49,3)=(-(T175*(T1016+T172*getPowerDeriv(y(43),(1-params(8))*(1-params(14)),2)+T1016+T168*T806*T1020)));
  v2(50,1)=6;
  v2(50,2)=3765;
  v2(50,3)=(-(T782*T168*T807*T899));
  v2(51,1)=6;
  v2(51,2)=1101;
  v2(51,3)=  v2(50,3);
  v2(52,1)=6;
  v2(52,2)=3793;
  v2(52,3)=(-(T175*(T805*T807*T899+T168*(T899*T1020+T807*params(14)/((1-params(14))*y(52))))));
  v2(53,1)=6;
  v2(53,2)=3201;
  v2(53,3)=  v2(52,3);
  v2(54,1)=6;
  v2(54,2)=3801;
  v2(54,3)=(-(T175*T168*T899*T899*T1019));
  v2(55,1)=6;
  v2(55,2)=3840;
  v2(55,3)=(-(T782*T168*T807*T938));
  v2(56,1)=6;
  v2(56,2)=1102;
  v2(56,3)=  v2(55,3);
  v2(57,1)=6;
  v2(57,2)=3868;
  v2(57,3)=(-(T175*(T805*T807*T938+T168*(T938*T1020+T807*(-((1-params(14))*params(14)*y(51)))/((1-params(14))*y(52)*(1-params(14))*y(52))))));
  v2(58,1)=6;
  v2(58,2)=3202;
  v2(58,3)=  v2(57,3);
  v2(59,1)=6;
  v2(59,2)=3876;
  v2(59,3)=(-(T175*T168*(T938*T899*T1019+T807*(-((1-params(14))*params(14)*y(43)))/((1-params(14))*y(52)*(1-params(14))*y(52)))));
  v2(60,1)=6;
  v2(60,2)=3802;
  v2(60,3)=  v2(59,3);
  v2(61,1)=6;
  v2(61,2)=3877;
  v2(61,3)=(-(T175*T168*(T938*T938*T1019+T807*T1071)));
  v2(62,1)=7;
  v2(62,2)=1825;
  v2(62,3)=T1082;
  v2(63,1)=7;
  v2(63,2)=1900;
  v2(63,3)=T1082;
  v2(64,1)=7;
  v2(64,2)=1826;
  v2(64,3)=  v2(63,3);
  v2(65,1)=7;
  v2(65,2)=1901;
  v2(65,3)=T1082;
  v2(66,1)=7;
  v2(66,2)=2200;
  v2(66,3)=T196*(-(T590*T635))/(T200*T200);
  v2(67,1)=7;
  v2(67,2)=1830;
  v2(67,3)=  v2(66,3);
  v2(68,1)=7;
  v2(68,2)=2201;
  v2(68,3)=T196*(-(T590*T635))/(T200*T200);
  v2(69,1)=7;
  v2(69,2)=1905;
  v2(69,3)=  v2(68,3);
  v2(70,1)=7;
  v2(70,2)=2205;
  v2(70,3)=T196*(-(T635*T635))/(T200*T200);
  v2(71,1)=7;
  v2(71,2)=609;
  v2(71,3)=(-(params(11)*(-(T661*T661))/(T182*T182)));
  v2(72,1)=7;
  v2(72,2)=2509;
  v2(72,3)=T1098-params(1)*(-(params(11)*T1098));
  v2(73,1)=7;
  v2(73,2)=4485;
  v2(73,3)=(-(params(1)*(-(T661*T661))/(T186*T186)));
  v2(74,1)=7;
  v2(74,2)=3175;
  v2(74,3)=T1115;
  v2(75,1)=7;
  v2(75,2)=1843;
  v2(75,3)=  v2(74,3);
  v2(76,1)=7;
  v2(76,2)=3176;
  v2(76,3)=T1115;
  v2(77,1)=7;
  v2(77,2)=1918;
  v2(77,3)=  v2(76,3);
  v2(78,1)=7;
  v2(78,2)=3180;
  v2(78,3)=T196*(T200*(-(y(51)*(1-params(8))*(1-params(14))*llik__))/(y(51)*y(43)*y(51)*y(43))/params(20)-T635*T818)/(T200*T200);
  v2(79,1)=7;
  v2(79,2)=2218;
  v2(79,3)=  v2(78,3);
  v2(80,1)=7;
  v2(80,2)=3193;
  v2(80,3)=T196*(T200*(-((-(y(51)*(1-params(8))*(1-params(14))*(y(26)+y(25)+(1+y(30))*llik__)))*(y(51)*y(51)*y(43)+y(51)*y(51)*y(43))))/(y(51)*y(43)*y(51)*y(43)*y(51)*y(43)*y(51)*y(43))/params(20)-T818*T818)/(T200*T200);
  v2(81,1)=7;
  v2(81,2)=3775;
  v2(81,3)=T1145;
  v2(82,1)=7;
  v2(82,2)=1851;
  v2(82,3)=  v2(81,3);
  v2(83,1)=7;
  v2(83,2)=3776;
  v2(83,3)=T1145;
  v2(84,1)=7;
  v2(84,2)=1926;
  v2(84,3)=  v2(83,3);
  v2(85,1)=7;
  v2(85,2)=3780;
  v2(85,3)=T196*(T200*(-(y(43)*(1-params(8))*(1-params(14))*llik__))/(y(51)*y(43)*y(51)*y(43))/params(20)-T635*T907)/(T200*T200);
  v2(86,1)=7;
  v2(86,2)=2226;
  v2(86,3)=  v2(85,3);
  v2(87,1)=7;
  v2(87,2)=3793;
  v2(87,3)=T196*(T200*(y(51)*y(43)*y(51)*y(43)*(-((1-params(8))*(1-params(14))*(y(26)+y(25)+(1+y(30))*llik__)))-(-(y(43)*(1-params(8))*(1-params(14))*(y(26)+y(25)+(1+y(30))*llik__)))*(y(51)*y(51)*y(43)+y(51)*y(51)*y(43)))/(y(51)*y(43)*y(51)*y(43)*y(51)*y(43)*y(51)*y(43))/params(20)-T818*T907)/(T200*T200);
  v2(88,1)=7;
  v2(88,2)=3201;
  v2(88,3)=  v2(87,3);
  v2(89,1)=7;
  v2(89,2)=3801;
  v2(89,3)=T196*(T200*(-((-(y(43)*(1-params(8))*(1-params(14))*(y(26)+y(25)+(1+y(30))*llik__)))*(y(43)*y(51)*y(43)+y(43)*y(51)*y(43))))/(y(51)*y(43)*y(51)*y(43)*y(51)*y(43)*y(51)*y(43))/params(20)-T907*T907)/(T200*T200);
  v2(90,1)=8;
  v2(90,2)=1597;
  v2(90,3)=T227*(T233*(-((-(y(47)*y(51)*T230))*T1178))/(T231*T231*T231*T231)/params(21)-T536*T536)/(T233*T233);
  v2(91,1)=8;
  v2(91,2)=837;
  v2(91,3)=(-(params(12)*(-(T661*T661))/(T212*T212)));
  v2(92,1)=8;
  v2(92,2)=2737;
  v2(92,3)=(-(T661*T661))/(T208*T208)-params(1)*(-(params(12)*(-(T661*T661))/(T208*T208)));
  v2(93,1)=8;
  v2(93,2)=4561;
  v2(93,3)=(-(params(1)*(-(T661*T661))/(T217*T217)));
  v2(94,1)=8;
  v2(94,2)=3172;
  v2(94,3)=T227*(T233*(T231*T231*(-(y(47)*y(51)*getPowerDeriv(y(43),params(5),1)))-T825*T1178)/(T231*T231*T231*T231)/params(21)-T536*T827)/(T233*T233);
  v2(95,1)=8;
  v2(95,2)=1618;
  v2(95,3)=  v2(94,3);
  v2(96,1)=8;
  v2(96,2)=3193;
  v2(96,3)=T227*(T233*(T231*T231*(-(y(47)*y(51)*y(22)*getPowerDeriv(y(43),params(5),2)))-T825*(T231*T823+T231*T823))/(T231*T231*T231*T231)/params(21)-T827*T827)/(T233*T233);
  v2(97,1)=8;
  v2(97,2)=3472;
  v2(97,3)=T227*(T233*(-(y(51)*T230))/(T231*T231)/params(21)-T536*T867)/(T233*T233);
  v2(98,1)=8;
  v2(98,2)=1622;
  v2(98,3)=  v2(97,3);
  v2(99,1)=8;
  v2(99,2)=3493;
  v2(99,3)=T227*(T233*(-(y(51)*T823))/(T231*T231)/params(21)-T827*T867)/(T233*T233);
  v2(100,1)=8;
  v2(100,2)=3197;
  v2(100,3)=  v2(99,3);
  v2(101,1)=8;
  v2(101,2)=3497;
  v2(101,3)=T227*(-(T867*T867))/(T233*T233);
  v2(102,1)=8;
  v2(102,2)=3772;
  v2(102,3)=T227*(T233*(-(y(47)*T230))/(T231*T231)/params(21)-T536*T912)/(T233*T233);
  v2(103,1)=8;
  v2(103,2)=1626;
  v2(103,3)=  v2(102,3);
  v2(104,1)=8;
  v2(104,2)=3793;
  v2(104,3)=T227*(T233*(-(y(47)*T823))/(T231*T231)/params(21)-T827*T912)/(T233*T233);
  v2(105,1)=8;
  v2(105,2)=3201;
  v2(105,3)=  v2(104,3);
  v2(106,1)=8;
  v2(106,2)=3797;
  v2(106,3)=T227*(T233*1/T231/params(21)-T867*T912)/(T233*T233);
  v2(107,1)=8;
  v2(107,2)=3501;
  v2(107,3)=  v2(106,3);
  v2(108,1)=8;
  v2(108,2)=3801;
  v2(108,3)=T227*(-(T912*T912))/(T233*T233);
  v2(109,1)=9;
  v2(109,2)=1597;
  v2(109,3)=T227*(T258*(-((-(y(48)*y(52)*T255))*T1284))/(T256*T256*T256*T256)/params(21)-T544*T544)/(T258*T258);
  v2(110,1)=9;
  v2(110,2)=913;
  v2(110,3)=(-(params(12)*(-(T661*T661))/(T244*T244)));
  v2(111,1)=9;
  v2(111,2)=2813;
  v2(111,3)=(-(T661*T661))/(T241*T241)-params(1)*(-(params(12)*(-(T661*T661))/(T241*T241)));
  v2(112,1)=9;
  v2(112,2)=4637;
  v2(112,3)=(-(params(1)*(-(T661*T661))/(T249*T249)));
  v2(113,1)=9;
  v2(113,2)=3172;
  v2(113,3)=T227*(T258*(T256*T256*(-(y(48)*y(52)*T806*T831))-T835*T1284)/(T256*T256*T256*T256)/params(21)-T544*T837)/(T258*T258);
  v2(114,1)=9;
  v2(114,2)=1618;
  v2(114,3)=  v2(113,3);
  v2(115,1)=9;
  v2(115,2)=3193;
  v2(115,3)=T227*(T258*(T256*T256*(-(y(48)*y(52)*y(22)*T806*T1323))-T835*(T256*T833+T256*T833))/(T256*T256*T256*T256)/params(21)-T837*T837)/(T258*T258);
  v2(116,1)=9;
  v2(116,2)=3547;
  v2(116,3)=T227*(T258*(-(y(52)*T255))/(T256*T256)/params(21)-T544*T886)/(T258*T258);
  v2(117,1)=9;
  v2(117,2)=1623;
  v2(117,3)=  v2(116,3);
  v2(118,1)=9;
  v2(118,2)=3568;
  v2(118,3)=T227*(T258*(-(y(52)*T833))/(T256*T256)/params(21)-T837*T886)/(T258*T258);
  v2(119,1)=9;
  v2(119,2)=3198;
  v2(119,3)=  v2(118,3);
  v2(120,1)=9;
  v2(120,2)=3573;
  v2(120,3)=T227*(-(T886*T886))/(T258*T258);
  v2(121,1)=9;
  v2(121,2)=3772;
  v2(121,3)=T227*(T258*(T256*T256*(-(y(48)*y(52)*T831*T899))-(-(y(48)*y(52)*y(22)*T831*T899))*T1284)/(T256*T256*T256*T256)/params(21)-T544*T921)/(T258*T258);
  v2(122,1)=9;
  v2(122,2)=1626;
  v2(122,3)=  v2(121,3);
  v2(123,1)=9;
  v2(123,2)=3793;
  v2(123,3)=T227*(T258*(T256*T256*(-(y(48)*y(52)*y(22)*(T899*T1323+T831*params(14)/((1-params(14))*y(52)))))-(-(y(48)*y(52)*y(22)*T831*T899))*(T256*T833+T256*T833))/(T256*T256*T256*T256)/params(21)-T837*T921)/(T258*T258);
  v2(124,1)=9;
  v2(124,2)=3201;
  v2(124,3)=  v2(123,3);
  v2(125,1)=9;
  v2(125,2)=3798;
  v2(125,3)=T227*(T258*(-(y(52)*y(22)*T831*T899))/(T256*T256)/params(21)-T886*T921)/(T258*T258);
  v2(126,1)=9;
  v2(126,2)=3576;
  v2(126,3)=  v2(125,3);
  v2(127,1)=9;
  v2(127,2)=3801;
  v2(127,3)=T227*(T258*(T256*T256*(-(y(48)*y(52)*y(22)*T899*T899*getPowerDeriv(T171,params(5),2)))-(-(y(48)*y(52)*y(22)*T831*T899))*(T256*y(22)*T831*T899+T256*y(22)*T831*T899))/(T256*T256*T256*T256)/params(21)-T921*T921)/(T258*T258);
  v2(128,1)=9;
  v2(128,2)=3847;
  v2(128,3)=T227*(T258*(T256*T256*(y(48)*T255-y(48)*y(52)*T831*T938)-(y(48)*T256-y(48)*y(52)*y(22)*T831*T938)*T1284)/(T256*T256*T256*T256)/params(21)-T544*T949)/(T258*T258);
  v2(129,1)=9;
  v2(129,2)=1627;
  v2(129,3)=  v2(128,3);
  v2(130,1)=9;
  v2(130,2)=3868;
  v2(130,3)=T227*(T258*(T256*T256*(y(48)*T833-y(48)*y(52)*y(22)*(T938*T1323+T831*(-((1-params(14))*params(14)*y(51)))/((1-params(14))*y(52)*(1-params(14))*y(52))))-(y(48)*T256-y(48)*y(52)*y(22)*T831*T938)*(T256*T833+T256*T833))/(T256*T256*T256*T256)/params(21)-T837*T949)/(T258*T258);
  v2(131,1)=9;
  v2(131,2)=3202;
  v2(131,3)=  v2(130,3);
  v2(132,1)=9;
  v2(132,2)=3873;
  v2(132,3)=T227*(T258*(T256-y(52)*y(22)*T831*T938)/(T256*T256)/params(21)-T886*T949)/(T258*T258);
  v2(133,1)=9;
  v2(133,2)=3577;
  v2(133,3)=  v2(132,3);
  v2(134,1)=9;
  v2(134,2)=3876;
  v2(134,3)=T227*(T258*(T256*T256*(y(48)*y(22)*T831*T899-y(48)*y(52)*y(22)*(T938*T899*getPowerDeriv(T171,params(5),2)+T831*(-((1-params(14))*params(14)*y(43)))/((1-params(14))*y(52)*(1-params(14))*y(52))))-(y(48)*T256-y(48)*y(52)*y(22)*T831*T938)*(T256*y(22)*T831*T899+T256*y(22)*T831*T899))/(T256*T256*T256*T256)/params(21)-T921*T949)/(T258*T258);
  v2(135,1)=9;
  v2(135,2)=3802;
  v2(135,3)=  v2(134,3);
  v2(136,1)=9;
  v2(136,2)=3877;
  v2(136,3)=T227*(T258*(T256*T256*(y(48)*y(22)*T831*T938-(y(48)*y(22)*T831*T938+y(48)*y(52)*y(22)*(T938*T938*getPowerDeriv(T171,params(5),2)+T831*T1071)))-(y(48)*T256-y(48)*y(52)*y(22)*T831*T938)*(T256*y(22)*T831*T938+T256*y(22)*T831*T938))/(T256*T256*T256*T256)/params(21)-T949*T949)/(T258*T258);
  v2(137,1)=10;
  v2(137,2)=1521;
  v2(137,3)=(-((-1)/(y(21)*y(21))));
  v2(138,1)=10;
  v2(138,2)=1825;
  v2(138,3)=T1501;
  v2(139,1)=10;
  v2(139,2)=1900;
  v2(139,3)=T1501;
  v2(140,1)=10;
  v2(140,2)=1826;
  v2(140,3)=  v2(139,3);
  v2(141,1)=10;
  v2(141,2)=1901;
  v2(141,3)=T1501;
  v2(142,1)=10;
  v2(142,2)=2200;
  v2(142,3)=T1506;
  v2(143,1)=10;
  v2(143,2)=1830;
  v2(143,3)=  v2(142,3);
  v2(144,1)=10;
  v2(144,2)=2201;
  v2(144,3)=T1506;
  v2(145,1)=10;
  v2(145,2)=1905;
  v2(145,3)=  v2(144,3);
  v2(146,1)=10;
  v2(146,2)=2205;
  v2(146,3)=(-((1-params(16))*params(17)*(-(T639*T639))/(T293*T293)));
  v2(147,1)=10;
  v2(147,2)=2509;
  v2(147,3)=(-((1-params(16))*params(15)*0.25*T1098));
  v2(148,1)=10;
  v2(148,2)=2585;
  v2(148,3)=(-((1-params(16))*params(15)*0.25*(-(T661*T661))/(T275*T275)));
  v2(149,1)=10;
  v2(149,2)=761;
  v2(149,3)=(-((1-params(16))*params(15)*0.25*(-(T661*T661))/(T285*T285)));
  v2(150,1)=10;
  v2(150,2)=2661;
  v2(150,3)=(-((1-params(16))*params(15)*0.25*(-(T661*T661))/(T280*T280)));
  v2(151,1)=10;
  v2(151,2)=1141;
  v2(151,3)=(-(params(16)*(-1)/(y(16)*y(16))));
  v2(152,1)=10;
  v2(152,2)=3421;
  v2(152,3)=(-1)/(y(46)*y(46));
  v2(153,1)=13;
  v2(153,2)=397;
  v2(153,3)=(-(T312*params(3)/((y(25)-params(3)*y(6))*(y(25)-params(3)*y(6)))));
  v2(154,1)=13;
  v2(154,2)=1581;
  v2(154,3)=  v2(153,3);
  v2(155,1)=13;
  v2(155,2)=381;
  v2(155,3)=(-(T312*(-((-(y(22)*(-params(3))))*((y(25)-params(3)*y(6))*(-params(3))+(y(25)-params(3)*y(6))*(-params(3)))))/((y(25)-params(3)*y(6))*(y(25)-params(3)*y(6))*(y(25)-params(3)*y(6))*(y(25)-params(3)*y(6)))));
  v2(156,1)=13;
  v2(156,2)=1822;
  v2(156,3)=(-(T312*(-1)/((y(25)-params(3)*y(6))*(y(25)-params(3)*y(6)))));
  v2(157,1)=13;
  v2(157,2)=1600;
  v2(157,3)=  v2(156,3);
  v2(158,1)=13;
  v2(158,2)=1855;
  v2(158,3)=(-(T312*(-((-(params(1)*params(3)*(-params(3))))/((y(56)-y(25)*params(3))*(y(56)-y(25)*params(3)))))));
  v2(159,1)=13;
  v2(159,2)=4075;
  v2(159,3)=  v2(158,3);
  v2(160,1)=13;
  v2(160,2)=1806;
  v2(160,3)=(-(T312*(-((-y(22))*((y(25)-params(3)*y(6))*(-params(3))+(y(25)-params(3)*y(6))*(-params(3)))))/((y(25)-params(3)*y(6))*(y(25)-params(3)*y(6))*(y(25)-params(3)*y(6))*(y(25)-params(3)*y(6)))));
  v2(161,1)=13;
  v2(161,2)=400;
  v2(161,3)=  v2(160,3);
  v2(162,1)=13;
  v2(162,2)=1825;
  v2(162,3)=(-(T312*((-((-y(22))*(y(25)-params(3)*y(6)+y(25)-params(3)*y(6))))/((y(25)-params(3)*y(6))*(y(25)-params(3)*y(6))*(y(25)-params(3)*y(6))*(y(25)-params(3)*y(6)))-(-((-(params(1)*params(3)*y(55)*(-params(3))))*((y(56)-y(25)*params(3))*(-params(3))+(y(56)-y(25)*params(3))*(-params(3)))))/((y(56)-y(25)*params(3))*(y(56)-y(25)*params(3))*(y(56)-y(25)*params(3))*(y(56)-y(25)*params(3))))));
  v2(163,1)=13;
  v2(163,2)=4180;
  v2(163,3)=(-(T312*(-((-(params(1)*params(3)))/((y(56)-y(25)*params(3))*(y(56)-y(25)*params(3)))))));
  v2(164,1)=13;
  v2(164,2)=4106;
  v2(164,3)=  v2(163,3);
  v2(165,1)=13;
  v2(165,2)=4150;
  v2(165,3)=(-(T312*(-((-((-(params(1)*params(3)*y(55)))*((y(56)-y(25)*params(3))*(-params(3))+(y(56)-y(25)*params(3))*(-params(3)))))/((y(56)-y(25)*params(3))*(y(56)-y(25)*params(3))*(y(56)-y(25)*params(3))*(y(56)-y(25)*params(3)))))));
  v2(166,1)=13;
  v2(166,2)=1856;
  v2(166,3)=  v2(165,3);
  v2(167,1)=13;
  v2(167,2)=4181;
  v2(167,3)=(-(T312*(-((-((-(params(1)*params(3)*y(55)))*(y(56)-y(25)*params(3)+y(56)-y(25)*params(3))))/((y(56)-y(25)*params(3))*(y(56)-y(25)*params(3))*(y(56)-y(25)*params(3))*(y(56)-y(25)*params(3)))))));
  v2(168,1)=14;
  v2(168,2)=472;
  v2(168,3)=(-(T328*params(3)/((y(26)-params(3)*y(7))*(y(26)-params(3)*y(7)))));
  v2(169,1)=14;
  v2(169,2)=1582;
  v2(169,3)=  v2(168,3);
  v2(170,1)=14;
  v2(170,2)=457;
  v2(170,3)=(-(T328*(-((-(y(22)*(-params(3))))*((y(26)-params(3)*y(7))*(-params(3))+(y(26)-params(3)*y(7))*(-params(3)))))/((y(26)-params(3)*y(7))*(y(26)-params(3)*y(7))*(y(26)-params(3)*y(7))*(y(26)-params(3)*y(7)))));
  v2(171,1)=14;
  v2(171,2)=1897;
  v2(171,3)=(-(T328*(-1)/((y(26)-params(3)*y(7))*(y(26)-params(3)*y(7)))));
  v2(172,1)=14;
  v2(172,2)=1601;
  v2(172,3)=  v2(171,3);
  v2(173,1)=14;
  v2(173,2)=1930;
  v2(173,3)=(-(T328*(-((-(params(2)*params(3)*(-params(3))))/((y(57)-y(26)*params(3))*(y(57)-y(26)*params(3)))))));
  v2(174,1)=14;
  v2(174,2)=4076;
  v2(174,3)=  v2(173,3);
  v2(175,1)=14;
  v2(175,2)=1882;
  v2(175,3)=(-(T328*(-((-y(22))*((y(26)-params(3)*y(7))*(-params(3))+(y(26)-params(3)*y(7))*(-params(3)))))/((y(26)-params(3)*y(7))*(y(26)-params(3)*y(7))*(y(26)-params(3)*y(7))*(y(26)-params(3)*y(7)))));
  v2(176,1)=14;
  v2(176,2)=476;
  v2(176,3)=  v2(175,3);
  v2(177,1)=14;
  v2(177,2)=1901;
  v2(177,3)=(-(T328*((-((-y(22))*(y(26)-params(3)*y(7)+y(26)-params(3)*y(7))))/((y(26)-params(3)*y(7))*(y(26)-params(3)*y(7))*(y(26)-params(3)*y(7))*(y(26)-params(3)*y(7)))-(-((-(y(55)*params(2)*params(3)*(-params(3))))*((y(57)-y(26)*params(3))*(-params(3))+(y(57)-y(26)*params(3))*(-params(3)))))/((y(57)-y(26)*params(3))*(y(57)-y(26)*params(3))*(y(57)-y(26)*params(3))*(y(57)-y(26)*params(3))))));
  v2(178,1)=14;
  v2(178,2)=4255;
  v2(178,3)=(-(T328*(-((-(params(2)*params(3)))/((y(57)-y(26)*params(3))*(y(57)-y(26)*params(3)))))));
  v2(179,1)=14;
  v2(179,2)=4107;
  v2(179,3)=  v2(178,3);
  v2(180,1)=14;
  v2(180,2)=4226;
  v2(180,3)=(-(T328*(-((-((-(y(55)*params(2)*params(3)))*((y(57)-y(26)*params(3))*(-params(3))+(y(57)-y(26)*params(3))*(-params(3)))))/((y(57)-y(26)*params(3))*(y(57)-y(26)*params(3))*(y(57)-y(26)*params(3))*(y(57)-y(26)*params(3)))))));
  v2(181,1)=14;
  v2(181,2)=1932;
  v2(181,3)=  v2(180,3);
  v2(182,1)=14;
  v2(182,2)=4257;
  v2(182,3)=(-(T328*(-((-((-(y(55)*params(2)*params(3)))*(y(57)-y(26)*params(3)+y(57)-y(26)*params(3))))/((y(57)-y(26)*params(3))*(y(57)-y(26)*params(3))*(y(57)-y(26)*params(3))*(y(57)-y(26)*params(3)))))));
  v2(183,1)=15;
  v2(183,2)=1594;
  v2(183,3)=(-(T346*1/(1-y(39)-params(4)*(1-y(14)))));
  v2(184,1)=15;
  v2(184,2)=1372;
  v2(184,3)=  v2(183,3);
  v2(185,1)=15;
  v2(185,2)=4103;
  v2(185,3)=(-(T346*(-(params(1)*params(4)/(1-y(63)-params(4)*(1-y(39)))))));
  v2(186,1)=15;
  v2(186,2)=3955;
  v2(186,3)=  v2(185,3);
  v2(187,1)=15;
  v2(187,2)=994;
  v2(187,3)=(-(T346*(-(y(22)*params(4)))/T744));
  v2(188,1)=15;
  v2(188,2)=1364;
  v2(188,3)=  v2(187,3);
  v2(189,1)=15;
  v2(189,2)=997;
  v2(189,3)=(-(T346*(-(params(4)*y(19)))/T744));
  v2(190,1)=15;
  v2(190,2)=1589;
  v2(190,3)=  v2(189,3);
  v2(191,1)=15;
  v2(191,2)=989;
  v2(191,3)=(-(T346*(-((-(params(4)*y(22)*y(19)))*(params(4)*(1-y(39)-params(4)*(1-y(14)))+params(4)*(1-y(39)-params(4)*(1-y(14))))))/(T744*T744)));
  v2(192,1)=15;
  v2(192,2)=2869;
  v2(192,3)=(-(T346*y(22)/T744));
  v2(193,1)=15;
  v2(193,2)=1389;
  v2(193,3)=  v2(192,3);
  v2(194,1)=15;
  v2(194,2)=2903;
  v2(194,3)=(-(T346*(-((-(params(4)*y(55)*params(1)*params(4)))/T758))));
  v2(195,1)=15;
  v2(195,2)=3939;
  v2(195,3)=  v2(194,3);
  v2(196,1)=15;
  v2(196,2)=2872;
  v2(196,3)=(-(T346*y(19)/T744));
  v2(197,1)=15;
  v2(197,2)=1614;
  v2(197,3)=  v2(196,3);
  v2(198,1)=15;
  v2(198,2)=2905;
  v2(198,3)=(-(T346*(-((-(params(4)*params(1)*params(4)*y(53)))/T758))));
  v2(199,1)=15;
  v2(199,2)=4089;
  v2(199,3)=  v2(198,3);
  v2(200,1)=15;
  v2(200,2)=2864;
  v2(200,3)=(-(T346*(-(y(22)*y(19)*(params(4)*(1-y(39)-params(4)*(1-y(14)))+params(4)*(1-y(39)-params(4)*(1-y(14))))))/(T744*T744)));
  v2(201,1)=15;
  v2(201,2)=1014;
  v2(201,3)=  v2(200,3);
  v2(202,1)=15;
  v2(202,2)=2889;
  v2(202,3)=(-(T346*((-(y(22)*y(19)*((-(1-y(39)-params(4)*(1-y(14))))-(1-y(39)-params(4)*(1-y(14))))))/(T744*T744)-(-((-(params(4)*y(55)*params(1)*params(4)*y(53)))*(params(4)*(1-y(63)-params(4)*(1-y(39)))+params(4)*(1-y(63)-params(4)*(1-y(39))))))/(T758*T758))));
  v2(203,1)=15;
  v2(203,2)=4703;
  v2(203,3)=(-(T346*(-(y(55)*params(1)*params(4)/T758))));
  v2(204,1)=15;
  v2(204,2)=3963;
  v2(204,3)=  v2(203,3);
  v2(205,1)=15;
  v2(205,2)=4705;
  v2(205,3)=(-(T346*(-(params(1)*params(4)*y(53)/T758))));
  v2(206,1)=15;
  v2(206,2)=4113;
  v2(206,3)=  v2(205,3);
  v2(207,1)=15;
  v2(207,2)=4689;
  v2(207,3)=(-(T346*(-((-(y(55)*params(1)*params(4)*y(53)*(params(4)*(1-y(63)-params(4)*(1-y(39)))+params(4)*(1-y(63)-params(4)*(1-y(39))))))/(T758*T758)))));
  v2(208,1)=15;
  v2(208,2)=2913;
  v2(208,3)=  v2(207,3);
  v2(209,1)=15;
  v2(209,2)=4713;
  v2(209,3)=(-(T346*(-((-(y(55)*params(1)*params(4)*y(53)*((-(1-y(63)-params(4)*(1-y(39))))-(1-y(63)-params(4)*(1-y(39))))))/(T758*T758)))));
  v2(210,1)=16;
  v2(210,2)=1594;
  v2(210,3)=(-(T368*1/(y(39)-y(14)*params(4))));
  v2(211,1)=16;
  v2(211,2)=1372;
  v2(211,3)=  v2(210,3);
  v2(212,1)=16;
  v2(212,2)=4103;
  v2(212,3)=(-(T368*(-(params(2)*params(4)/(y(63)-y(39)*params(4))))));
  v2(213,1)=16;
  v2(213,2)=3955;
  v2(213,3)=  v2(212,3);
  v2(214,1)=16;
  v2(214,2)=994;
  v2(214,3)=(-(T368*(-(y(22)*(-params(4))))/((y(39)-y(14)*params(4))*(y(39)-y(14)*params(4)))));
  v2(215,1)=16;
  v2(215,2)=1364;
  v2(215,3)=  v2(214,3);
  v2(216,1)=16;
  v2(216,2)=997;
  v2(216,3)=(-(T368*(-(y(19)*(-params(4))))/((y(39)-y(14)*params(4))*(y(39)-y(14)*params(4)))));
  v2(217,1)=16;
  v2(217,2)=1589;
  v2(217,3)=  v2(216,3);
  v2(218,1)=16;
  v2(218,2)=989;
  v2(218,3)=(-(T368*(-((-(y(22)*y(19)*(-params(4))))*((y(39)-y(14)*params(4))*(-params(4))+(y(39)-y(14)*params(4))*(-params(4)))))/((y(39)-y(14)*params(4))*(y(39)-y(14)*params(4))*(y(39)-y(14)*params(4))*(y(39)-y(14)*params(4)))));
  v2(219,1)=16;
  v2(219,2)=2869;
  v2(219,3)=(-(T368*(-y(22))/((y(39)-y(14)*params(4))*(y(39)-y(14)*params(4)))));
  v2(220,1)=16;
  v2(220,2)=1389;
  v2(220,3)=  v2(219,3);
  v2(221,1)=16;
  v2(221,2)=2903;
  v2(221,3)=(-(T368*(-((-(y(55)*params(2)*params(4)*(-params(4))))/((y(63)-y(39)*params(4))*(y(63)-y(39)*params(4)))))));
  v2(222,1)=16;
  v2(222,2)=3939;
  v2(222,3)=  v2(221,3);
  v2(223,1)=16;
  v2(223,2)=2872;
  v2(223,3)=(-(T368*(-y(19))/((y(39)-y(14)*params(4))*(y(39)-y(14)*params(4)))));
  v2(224,1)=16;
  v2(224,2)=1614;
  v2(224,3)=  v2(223,3);
  v2(225,1)=16;
  v2(225,2)=2905;
  v2(225,3)=(-(T368*(-((-(y(53)*params(2)*params(4)*(-params(4))))/((y(63)-y(39)*params(4))*(y(63)-y(39)*params(4)))))));
  v2(226,1)=16;
  v2(226,2)=4089;
  v2(226,3)=  v2(225,3);
  v2(227,1)=16;
  v2(227,2)=2864;
  v2(227,3)=(-(T368*(-((-(y(22)*y(19)))*((y(39)-y(14)*params(4))*(-params(4))+(y(39)-y(14)*params(4))*(-params(4)))))/((y(39)-y(14)*params(4))*(y(39)-y(14)*params(4))*(y(39)-y(14)*params(4))*(y(39)-y(14)*params(4)))));
  v2(228,1)=16;
  v2(228,2)=1014;
  v2(228,3)=  v2(227,3);
  v2(229,1)=16;
  v2(229,2)=2889;
  v2(229,3)=(-(T368*((-((-(y(22)*y(19)))*(y(39)-y(14)*params(4)+y(39)-y(14)*params(4))))/((y(39)-y(14)*params(4))*(y(39)-y(14)*params(4))*(y(39)-y(14)*params(4))*(y(39)-y(14)*params(4)))-(-((-(y(53)*y(55)*params(2)*params(4)*(-params(4))))*((y(63)-y(39)*params(4))*(-params(4))+(y(63)-y(39)*params(4))*(-params(4)))))/((y(63)-y(39)*params(4))*(y(63)-y(39)*params(4))*(y(63)-y(39)*params(4))*(y(63)-y(39)*params(4))))));
  v2(230,1)=16;
  v2(230,2)=4703;
  v2(230,3)=(-(T368*(-((-(y(55)*params(2)*params(4)))/((y(63)-y(39)*params(4))*(y(63)-y(39)*params(4)))))));
  v2(231,1)=16;
  v2(231,2)=3963;
  v2(231,3)=  v2(230,3);
  v2(232,1)=16;
  v2(232,2)=4705;
  v2(232,3)=(-(T368*(-((-(y(53)*params(2)*params(4)))/((y(63)-y(39)*params(4))*(y(63)-y(39)*params(4)))))));
  v2(233,1)=16;
  v2(233,2)=4113;
  v2(233,3)=  v2(232,3);
  v2(234,1)=16;
  v2(234,2)=4689;
  v2(234,3)=(-(T368*(-((-((-(y(53)*y(55)*params(2)*params(4)))*((y(63)-y(39)*params(4))*(-params(4))+(y(63)-y(39)*params(4))*(-params(4)))))/((y(63)-y(39)*params(4))*(y(63)-y(39)*params(4))*(y(63)-y(39)*params(4))*(y(63)-y(39)*params(4)))))));
  v2(235,1)=16;
  v2(235,2)=2913;
  v2(235,3)=  v2(234,3);
  v2(236,1)=16;
  v2(236,2)=4713;
  v2(236,3)=(-(T368*(-((-((-(y(53)*y(55)*params(2)*params(4)))*(y(63)-y(39)*params(4)+y(63)-y(39)*params(4))))/((y(63)-y(39)*params(4))*(y(63)-y(39)*params(4))*(y(63)-y(39)*params(4))*(y(63)-y(39)*params(4)))))));
  v2(237,1)=17;
  v2(237,2)=3233;
  v2(237,3)=y(47)*params(9);
  v2(238,1)=17;
  v2(238,2)=569;
  v2(238,3)=  v2(237,3);
  v2(239,1)=17;
  v2(239,2)=3255;
  v2(239,3)=y(47)*(-params(9));
  v2(240,1)=17;
  v2(240,2)=2219;
  v2(240,3)=  v2(239,3);
  v2(241,1)=17;
  v2(241,2)=4905;
  v2(241,3)=(-(params(9)*params(1)*y(67)));
  v2(242,1)=17;
  v2(242,2)=2241;
  v2(242,3)=  v2(241,3);
  v2(243,1)=17;
  v2(243,2)=4933;
  v2(243,3)=params(9)*params(1)*y(67);
  v2(244,1)=17;
  v2(244,2)=4341;
  v2(244,3)=  v2(243,3);
  v2(245,1)=17;
  v2(245,2)=3458;
  v2(245,3)=y(44)*params(9);
  v2(246,1)=17;
  v2(246,2)=572;
  v2(246,3)=  v2(245,3);
  v2(247,1)=17;
  v2(247,2)=3480;
  v2(247,3)=y(44)*(-params(9));
  v2(248,1)=17;
  v2(248,2)=2222;
  v2(248,3)=  v2(247,3);
  v2(249,1)=17;
  v2(249,2)=3494;
  v2(249,3)=1-params(9)*(y(30)-y(8));
  v2(250,1)=17;
  v2(250,2)=3272;
  v2(250,3)=  v2(249,3);
  v2(251,1)=17;
  v2(251,2)=4980;
  v2(251,3)=(-(params(9)*params(1)*y(66)));
  v2(252,1)=17;
  v2(252,2)=2242;
  v2(252,3)=  v2(251,3);
  v2(253,1)=17;
  v2(253,2)=5008;
  v2(253,3)=params(9)*params(1)*y(66);
  v2(254,1)=17;
  v2(254,2)=4342;
  v2(254,3)=  v2(253,3);
  v2(255,1)=17;
  v2(255,2)=5016;
  v2(255,3)=(y(58)-y(30))*params(1)*params(9);
  v2(256,1)=17;
  v2(256,2)=4942;
  v2(256,3)=  v2(255,3);
  v2(257,1)=18;
  v2(257,2)=1445;
  v2(257,3)=(-((-(y(47)*y(44)))*(y(20)+y(20))))/(y(20)*y(20)*y(20)*y(20));
  v2(258,1)=18;
  v2(258,2)=4029;
  v2(258,3)=(-(params(1)*y(67)*(-((-((1-params(10))*y(66)))*(y(54)+y(54))))/(y(54)*y(54)*y(54)*y(54))));
  v2(259,1)=18;
  v2(259,2)=2965;
  v2(259,3)=(-(params(1)*y(67)*(-((-((1-params(8))*(1-params(14))*params(8)*y(69)*y(65)))*((1-params(8))*(1-params(14))*(1-params(8))*(1-params(14))*y(40)+(1-params(8))*(1-params(14))*(1-params(8))*(1-params(14))*y(40))))/(T789*T789)));
  v2(260,1)=18;
  v2(260,2)=4840;
  v2(260,3)=(-(params(1)*y(67)*(-((1-params(8))*(1-params(14))*params(8)*y(69)))/T789));
  v2(261,1)=18;
  v2(261,2)=2990;
  v2(261,3)=  v2(260,3);
  v2(262,1)=18;
  v2(262,2)=3245;
  v2(262,3)=(-y(47))/(y(20)*y(20));
  v2(263,1)=18;
  v2(263,2)=1469;
  v2(263,3)=  v2(262,3);
  v2(264,1)=18;
  v2(264,2)=4929;
  v2(264,3)=(-(params(1)*y(67)*(-(1-params(10)))/(y(54)*y(54))));
  v2(265,1)=18;
  v2(265,2)=4041;
  v2(265,3)=  v2(264,3);
  v2(266,1)=18;
  v2(266,2)=3470;
  v2(266,3)=(-y(44))/(y(20)*y(20));
  v2(267,1)=18;
  v2(267,2)=1472;
  v2(267,3)=  v2(266,3);
  v2(268,1)=18;
  v2(268,2)=3494;
  v2(268,3)=1/y(20);
  v2(269,1)=18;
  v2(269,2)=3272;
  v2(269,3)=  v2(268,3);
  v2(270,1)=18;
  v2(270,2)=5004;
  v2(270,3)=(-(params(1)*(-((1-params(10))*y(66)))/(y(54)*y(54))));
  v2(271,1)=18;
  v2(271,2)=4042;
  v2(271,3)=  v2(270,3);
  v2(272,1)=18;
  v2(272,2)=4990;
  v2(272,3)=(-(params(1)*T790));
  v2(273,1)=18;
  v2(273,2)=2992;
  v2(273,3)=  v2(272,3);
  v2(274,1)=18;
  v2(274,2)=5015;
  v2(274,3)=(-(params(1)*params(8)*y(69)/((1-params(8))*(1-params(14))*y(40))));
  v2(275,1)=18;
  v2(275,2)=4867;
  v2(275,3)=  v2(274,3);
  v2(276,1)=18;
  v2(276,2)=5016;
  v2(276,3)=(-(params(1)*(1-params(10))/y(54)));
  v2(277,1)=18;
  v2(277,2)=4942;
  v2(277,3)=  v2(276,3);
  v2(278,1)=18;
  v2(278,2)=5140;
  v2(278,3)=(-(params(1)*y(67)*(-((1-params(8))*(1-params(14))*params(8)*y(65)))/T789));
  v2(279,1)=18;
  v2(279,2)=2994;
  v2(279,3)=  v2(278,3);
  v2(280,1)=18;
  v2(280,2)=5165;
  v2(280,3)=(-(params(1)*y(67)*params(8)/((1-params(8))*(1-params(14))*y(40))));
  v2(281,1)=18;
  v2(281,2)=4869;
  v2(281,3)=  v2(280,3);
  v2(282,1)=18;
  v2(282,2)=5167;
  v2(282,3)=(-(params(1)*params(8)*y(65)/((1-params(8))*(1-params(14))*y(40))));
  v2(283,1)=18;
  v2(283,2)=5019;
  v2(283,3)=  v2(282,3);
  v2(284,1)=19;
  v2(284,2)=1445;
  v2(284,3)=(-((-y(40))*(y(20)+y(20))))/(y(20)*y(20)*y(20)*y(20))-(-((-((1-params(10))*y(15)))*(y(20)+y(20))))/(y(20)*y(20)*y(20)*y(20));
  v2(285,1)=19;
  v2(285,2)=1070;
  v2(285,3)=(-((-(1-params(10)))/(y(20)*y(20))));
  v2(286,1)=19;
  v2(286,2)=1440;
  v2(286,3)=  v2(285,3);
  v2(287,1)=19;
  v2(287,2)=2945;
  v2(287,3)=(-1)/(y(20)*y(20));
  v2(288,1)=19;
  v2(288,2)=1465;
  v2(288,3)=  v2(287,3);
  v2(289,1)=20;
  v2(289,2)=1234;
  v2(289,3)=(-((-y(51))/(y(17)*y(17))));
  v2(290,1)=20;
  v2(290,2)=2492;
  v2(290,3)=  v2(289,3);
  v2(291,1)=20;
  v2(291,2)=1217;
  v2(291,3)=(-((-((-(y(34)*y(51)))*(y(17)+y(17))))/(y(17)*y(17)*y(17)*y(17))));
  v2(292,1)=20;
  v2(292,2)=3784;
  v2(292,3)=(-(1/y(17)));
  v2(293,1)=20;
  v2(293,2)=2526;
  v2(293,3)=  v2(292,3);
  v2(294,1)=20;
  v2(294,2)=3767;
  v2(294,3)=(-((-y(34))/(y(17)*y(17))));
  v2(295,1)=20;
  v2(295,2)=1251;
  v2(295,3)=  v2(294,3);
  v2(296,1)=21;
  v2(296,2)=1309;
  v2(296,3)=(-((-y(52))/(y(18)*y(18))));
  v2(297,1)=21;
  v2(297,2)=2493;
  v2(297,3)=  v2(296,3);
  v2(298,1)=21;
  v2(298,2)=1293;
  v2(298,3)=(-((-((-(y(34)*y(52)))*(y(18)+y(18))))/(y(18)*y(18)*y(18)*y(18))));
  v2(299,1)=21;
  v2(299,2)=3859;
  v2(299,3)=(-(1/y(18)));
  v2(300,1)=21;
  v2(300,2)=2527;
  v2(300,3)=  v2(299,3);
  v2(301,1)=21;
  v2(301,2)=3843;
  v2(301,3)=(-((-y(34))/(y(18)*y(18))));
  v2(302,1)=21;
  v2(302,2)=1327;
  v2(302,3)=  v2(301,3);
  v2(303,1)=22;
  v2(303,2)=1;
  v2(303,3)=(-(params(22)*(-1)/(y(1)*y(1))));
  v2(304,1)=22;
  v2(304,2)=1369;
  v2(304,3)=(-1)/(y(19)*y(19));
  v2(305,1)=23;
  v2(305,2)=77;
  v2(305,3)=(-(params(23)*(-1)/(y(2)*y(2))));
  v2(306,1)=23;
  v2(306,2)=1445;
  v2(306,3)=(-1)/(y(20)*y(20));
  v2(307,1)=24;
  v2(307,2)=153;
  v2(307,3)=(-(params(25)*(-1)/(y(3)*y(3))));
  v2(308,1)=24;
  v2(308,2)=1521;
  v2(308,3)=(-1)/(y(21)*y(21));
  v2(309,1)=25;
  v2(309,2)=229;
  v2(309,3)=(-(params(27)*(-1)/(y(4)*y(4))));
  v2(310,1)=25;
  v2(310,2)=1597;
  v2(310,3)=(-1)/(y(22)*y(22));
  v2(311,1)=29;
  v2(311,2)=2509;
  v2(311,3)=(-T1098);
  v2(312,1)=30;
  v2(312,2)=2737;
  v2(312,3)=(-((-(T720*T720))/(T473*T473)));
  v2(313,1)=30;
  v2(313,2)=2812;
  v2(313,3)=(-((-(T720*T734))/(T473*T473)));
  v2(314,1)=30;
  v2(314,2)=2738;
  v2(314,3)=  v2(313,3);
  v2(315,1)=30;
  v2(315,2)=2813;
  v2(315,3)=(-((-(T734*T734))/(T473*T473)));
  v2(316,1)=32;
  v2(316,2)=2480;
  v2(316,3)=(-((-params(34))/(y(34)*y(34))));
  v2(317,1)=32;
  v2(317,2)=334;
  v2(317,3)=  v2(316,3);
  v2(318,1)=32;
  v2(318,2)=2509;
  v2(318,3)=(-((-((-(params(34)*y(5)))*(y(34)+y(34))))/(y(34)*y(34)*y(34)*y(34))));
  v2(319,1)=32;
  v2(319,2)=2881;
  v2(319,3)=(-(params(7)*(1-params(34))*llq__));
  v2(320,1)=32;
  v2(320,2)=2289;
  v2(320,3)=  v2(319,3);
  v2(321,1)=34;
  v2(321,2)=3345;
  v2(321,3)=(-1)/(y(45)*y(45));
  v2(322,1)=34;
  v2(322,2)=3421;
  v2(322,3)=(-((-1)/(y(46)*y(46))));
  g2 = sparse(v2(:,1),v2(:,2),v2(:,3),34,5625);
end
if nargout >= 4,
  %
  % Third order derivatives
  %

  g3 = sparse([],[],[],34,421875);
end
end
